Bug 2111159 - Refreshing Alternate Content Source complains about invalid remote URL
Summary: Refreshing Alternate Content Source complains about invalid remote URL
Keywords:
Status: POST
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Pulp
Version: Nightly
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Lai
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-07-26 15:52 UTC by Ian Ballou
Modified: 2022-08-02 00:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github pulp pulp_rpm issues 2667 0 None closed Refreshing ACS complains about invalid remote URL 2022-07-29 19:18:17 UTC

Description Ian Ballou 2022-07-26 15:52:45 UTC
Version
Katello nightly
Pulpcore 3.18.5
pulp-rpm 3.17.5

Describe the bug
I created an alternate content source with the following RH CDN path: https://cdn.redhat.com/content/dist/layered/rhel8/x86_64/advanced-virt/os

At refresh time, I saw the following error:

{
  "pulp_href": "/pulp/api/v3/tasks/fa96f3a4-1b2b-4530-a0b4-b6adf4fdc3e5/",
  "pulp_created": "2022-07-25T21:03:44.164063Z",
  "state": "failed",
  "name": "pulp_rpm.app.tasks.synchronizing.synchronize",
  "logging_cid": "660e71d7-6c15-4dda-a381-b2f9f19ca743",
  "started_at": "2022-07-25T21:03:44.196268Z",
  "finished_at": "2022-07-25T21:03:44.441820Z",
  "error": {
    "traceback": "  File \"/usr/local/lib/python3.9/site-packages/pulpcore/tasking/pulpcore_worker.py\", line 410, in _perform_task\n    result = func(*args, **kwargs)\n  File \"/usr/lib/python3.9/site-packages/pulp_rpm/app/tasks/synchronizing.py\", line 464, in synchronize\n    remote_url = fetch_remote_url(remote, url)\n  File \"/usr/lib/python3.9/site-packages/pulp_rpm/app/tasks/synchronizing.py\", line 292, in fetch_remote_url\n    raise ValueError(\n",
    "description": "Remote URL https://cdn.redhat.com/content/dist/layered/rhel8/x86_64/advanced-virt/os for Alternate Content Source is invalid"
  },
  "worker": "/pulp/api/v3/workers/1591cc69-60de-4f06-b566-5ff37311759f/",
  "parent_task": null,
  "child_tasks": [],
  "task_group": "/pulp/api/v3/task-groups/ba681a0b-44fc-4390-bbe7-a13434ad2a18/",
  "progress_reports": [],
  "created_resources": [],
  "reserved_resources_record": [
    "shared:/pulp/api/v3/acs/rpm/rpm/e69b2e9f-22f6-4310-9265-64fcb8bc586b/",
    "shared:/pulp/api/v3/remotes/rpm/rpm/43c602fd-305d-4765-8695-42c792ec0b84/"
  ]
}

To Reproduce
Steps to reproduce the behavior:

    Create an ACS with the appropriate remote configuration to sync the repository above.
    Refresh the ACS

Expected behavior
The ACS refreshes without error.

Additional context
Remote options:

{:tls_validation=>true,
 :name=>"Advanced_Virtualization_for_RHEL_8_x86_64_RPMs-12300",
 :url=>"https://cdn.redhat.com/content/dist/layered/rhel8/x86_64/advanced-virt/os",
 :proxy_url=>nil,
 :proxy_username=>nil,
 :proxy_password=>nil,
 :total_timeout=>3600,
 :connect_timeout=>60,
 :sock_connect_timeout=>60,
 :sock_read_timeout=>3600,
 :rate_limit=>0,
 :username=>nil,
 :password=>nil,
 :client_cert=> 'redacted',
 :client_key=>'redacted',
 :ca_cert=>'redacted',
 :policy=>"on_demand"
}

Comment 1 Ian Ballou 2022-07-26 15:53:50 UTC
This BZ is to track a nightly issue only -- this is not yet in Satellite.

Comment 4 pulp-infra@redhat.com 2022-07-29 19:18:18 UTC
The Pulp upstream bug status is at closed. Updating the external tracker on this bug.

Comment 5 pulp-infra@redhat.com 2022-07-29 19:18:20 UTC
All upstream Pulp bugs are at MODIFIED+. Moving this bug to POST.


Note You need to log in before you can comment on or make changes to this bug.